# Interface ResolvedArtifact

public interface ResolvedArtifact
Information about a resolved artifact.

## Method Summary

Modifier and Type
Method
Description
`String`
`getClassifier()`
`String`
`getExtension()`
`File`
`getFile()`
Returns the local file for this artifact.
`ComponentArtifactIdentifier`
`getId()`
`ResolvedModuleVersion`
`getModuleVersion()`
Returns the module which this artifact belongs to.
`String`
`getName()`
`String`
`getType()`

## Method Details

### getFile

File getFile()
Returns the local file for this artifact. Downloads the artifact if not already available locally, blocking until complete.

### getModuleVersion

ResolvedModuleVersion getModuleVersion()
Returns the module which this artifact belongs to.

Returns:
  The module.

### getName

String getName()

### getType

String getType()

### getExtension

String getExtension()

### getClassifier

@Nullable String getClassifier()

### getId

@Incubating ComponentArtifactIdentifier getId()